package com.hz.pm.api.external.controller;

import com.hz.pm.api.external.MhUserOrgClient;
import lombok.RequiredArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;

/**
 * <p>
 * MhSyncController
 * </p>
 *
 * @author WendyYang
 * @since 09:56 2023/12/22
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/mh/sync")
public class MhSyncController {

    private final MhUserOrgClient mhUserOrgClient;

    @GetMapping("/users")
    public Object getUsers(@RequestParam(value = "syncTime", required = false)
                           @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss") LocalDateTime syncTime) {
        return mhUserOrgClient.queryUsers(syncTime);
    }

    @GetMapping("/orges")
    public Object getOrges() {
        return mhUserOrgClient.queryOrges();
    }

    @GetMapping("/experts")
    public Object getExperts(@RequestParam(value = "syncTime", required = false)
                             @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss") LocalDateTime syncTime) {
        return mhUserOrgClient.queryExperts(syncTime);
    }


}
