package com.hz.pm.api.open.controller;



import javax.validation.Valid;

import com.hz.pm.api.open.manage.OpenApiMeetingExpertInfoManage;
import com.hz.pm.api.open.model.po.ReqMeetingExpertInfoPO;
import com.hz.pm.api.open.model.vo.MeetingExpertInfoVO;
import com.ningdatech.basic.model.PageVo;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.log.annotation.WebLog;

import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * <p>
 * 会议专家信息外部调用接口
 * </p>
 * @author CMM
 *
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/open/api/meeting-expert-info")
@RequiredArgsConstructor
public class OpenApiMeetingExpertInfoController {

    private final OpenApiMeetingExpertInfoManage openMeetingExpertInfoManage;

    @PostMapping("/list")
    @ApiOperation("获取已抽取完成会议确定参加会议且未签到的专家信息列表")
    @WebLog
    public List<MeetingExpertInfoVO> infoList(@Valid @RequestBody ReqMeetingExpertInfoPO po) {
        return openMeetingExpertInfoManage.infoList(po);
    }
}
